
/* rc-stuff functional styles */
@media all {

    /* toggle */
    .rc-link {
        display: block;
        text-decoration: none;
        color: currentColor;
        cursor: pointer;
    }

    /* rc-load */
    .rc-load-hide { display: none; }
    .rc-load-show { display: block; }
    .rc-load-success > .rc-hide-on-success { display: none; }

    /* rc-container */
    .rc-container-enabled,
    .rc-head .rc-html-orig,
    .rc-open .rc-show-closed,
    .rc-show-opened { display:none; }

    .rc-show-closed,
    .rc-open .rc-show-opened { display: block; }

    .rc-container-toggle { display: none; }
    .rc-container-toggle.rc-head { display: block; }

}

/* mobile toggle  */
@media all {

    .page-header .sf-menu { display: none; }

    .nav-toggle {
        line-height: 1;
    }
    .nav-toggle-link { 
        display: flex;
        height: 2.5rem;
        padding: 0 0.625em; 
        color: inherit;
    }
    .nav-toggle-link:hover { 
        color: inherit;
    }

    .nav-toggle-link > span {
        align-self: center;
    }
    /* sr-hint? .nav-toggle-text { width: 1px; clip: rect(1px, 1px, 1px, 1px); overflow: hidden; position: absolute !important; } */
    .nav-toggle-text { color: currentColor; vertical-align: middle; margin-right:0.625rem; }

    .nav-icon-close,
    .nav-icon-menu {
        height: .3125rem;
        display: inline-block;
        width: 1.75rem;
        vertical-align: middle;
        position:relative;
        background-color: currentColor;
        border-radius: .125rem;
    }

    .nav-icon-menu:before ,
    .nav-icon-menu:after {
        content:"";
        background: currentColor;
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        display:block;
        height:0.3125rem;
        border-radius: .125rem;
    }

    .nav-icon-menu:before {
        bottom: calc(100% + .3125rem);
        bottom: calc(100% + .25rem);
    }

    .nav-icon-menu:after {
        top: calc(100% + .3125rem);
        top: calc(100% + .25rem);
    }

    .nav-icon-close { 
        border: none; 
        top: -0.15em; 
        background-color: transparent;
    }    
    .nav-icon-close:before,
    .nav-icon-close:after {
        border-radius: .125rem;
        content:"";
        background: currentColor;
        display:block;
        height:0.3125rem;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        position: absolute;
        left: 0;
        right: 0;
        left: -.0625rem;
        right: -.0625rem;
        top: 50%;
    }
    .nav-icon-close:after {
        -webkit-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }

    .nav-show-opened,
    .nav-toggle-open .nav-show-closed { display: none; }
    .nav-toggle-open .nav-show-opened { display: block; }

    /* dim page? */
    /*
    .mm-menu.mm-opened ~ .mm-page::before {
    content: "";
    position: absolute;
    z-index: 1000;
    top: 0;
    background: rgba(0,0,0,0.25);
    left: 0;
    width: 100vw;
    height: 100%;
}
    */

    .mm-menu.mm-opened::before {
        box-shadow: 0 0 1.25rem rgba(0,0,0,0.25);
        content: "";
        position: absolute;
        z-index: 1;
        top: 0;
        right: 100%;
        width: 1.25rem;
        height: 100vh;
    }

    .topnav-mobile a:hover {
        color: inherit;
        background: inherit;
    }
}

/* subnav */
@media all {

    .subnav {
        clear: both;
    }


    .subnav .item {
        line-height: 1.5;
        padding: .625rem 0.9375rem;
        text-decoration: none;
        color: rgb(51,51,51);
        border-bottom: 1px dashed rgb(218,218,218);
        overflow: visible !important;
    }

    .subnav .sub .item {
        position: relative;
        border: 0 none transparent;
        padding: .5rem 0.9375rem;
    }

    .subnav .current > .item {
        position: relative;
    }

    .subnav .active > .item {
        background-color: rgb(237,237,237);
    }

    .subnav .current > .item {
        background-color: rgb(237,237,237);
        position: relative;
    }

    .subnav .current > .item::before {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        border-left: .3125rem solid rgb(174,18,37);
        background-color: rgb(237,237,237);
    }

    /*
    .subnav .current > .item::before {
    position: absolute;
    left: 0.625rem;
    top: 49%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-top: 0.325em solid transparent;
    border-bottom: 0.325em solid transparent;
    border-left: 0.325em solid rgba(0,0,0,0.25);
}
    */

    .subnav { overflow: hidden; }
    .subnav .sub {
        position:relative;
        /*! background-color: rgba(0,0,0,0.05); */
        /*! box-shadow: 0 0 1.25em rgba(0,0,0,.125) inset; */
        padding: .3125rem 0;
        padding-left: 1.25rem;
        border-bottom: 1px dashed rgb(218,218,218);
    }

    .subnav .sub .item {
        /*! padding-left: 1.875em; */
    }

    .subnav .sub .sub .item {
        padding-left: 1.5em;
    }

    .subnav .sub .sub .sub .item { padding-left: 1.75em; }

    .subnav .item:focus,
    .subnav .item:hover {
        color: rgb(255,255,255);
        background: rgb(174,18,37);
    }

}

/* footernav and totop */
@media all {
    .footernav {
        margin-left: -0.625rem;
        float: left;
    }

    .footernav li {
        display: block;
    }

    .footernav .item { 
        display: inline-block;
        padding: .625rem; 
    }

    .totoplink {
        position: fixed !important;
        right: 0.625em;
        bottom: 0.625em;
        z-index: 10;
        color: rgb(255,255,255);
        background: rgb(128,128,128);
        opacity: 0.5;
        line-height: 1;
        border-radius: 50%;
        padding: 0.625rem;
        width: 2.5rem;
        height: 2.5rem;
    }

    .totoplink:hover {
        color: rgb(255,255,255);
        background: rgb(128,128,128);
        opacity: 1;
    }
    
    .totoplink::before {
        content: none !important;
    }    
    .totoplink > .fa {
        margin-right: 0;
        padding-right: 0;
        position: relative;
        top: -.125rem;
    }
}

/* breadcrumbs */
@media all {
    .bc-nav {
        padding-bottom: 0.9375rem;
    }
    .bc-label {
        margin:0 0.625rem 0 0;
        line-height:1;
        float: left;
    }
    .bc-path { display: flex; flex-wrap: wrap;}
    .bc-path .item {
        display: inline-block;
        font-weight: normal;
        text-decoration: none;
    }
    .bc-path li {
        display: flex;
        align-items: center;
        background-image: none !important;
        padding-left: 0 !important;
    }

    .bc-path li + li:before {
        content: ">";
        padding-left: 0.25em;
        padding-right: 0.25em;
    }

}

@media (min-width: 30em) {

    .rc-offcanvas-enabled .rc-offcanvas-right {
        width: 22rem;
        position: absolute;
        left: 100%;
        top: 0;
        height: 100%;
        overflow: auto;
    }

    .rc-offcanvas-enabled.rc-open {
        -webkit-transform: translate(-22rem, 0); /* android 2 */
        -ms-transform: translate(-22rem, 0); /* ie9 */
        transform: translate(-22rem, 0);
        -webkit-transform: translate3d(-22rem, 0, 0); /* android 3-4 */
        transform: translate3d(-22rem, 0, 0);
    }
}

/* tablet (without print) */
@media (min-width: 47.5em) {

    /* TODO: remove
    .topnav .item {
    font-size: 87.5%;
    line-height: 1;
    margin: 0 0.3125rem;
    padding: 0.3125rem;
}
    */

    /* footer  */

    .footernav .item { 
        padding: 2.5rem 0.625rem; 
    }
    .footernav { width: auto; }
    .footernav li { float:left; margin-bottom: 0; }
    .footernav .item { display: block;}


}

/* desktop */
@media (min-width: 62.5em) {

    .nav-toggle { display: none; }
    .page-header .sf-menu { display: block; }

    /* superfish */
    .sf-menu, .sf-menu ul { margin: 0; padding: 0; list-style: none; }
    .sf-menu .sf-has-sub { position: relative; }
    .sf-menu .sf-sub { position: absolute; display: none; z-index:99;}

    /* either... */
    /* .sf-menu {
    display: table;
    width: 100%;
}
    .sf-menu > li { display: table-cell; }
    */
    /* ...or: */
    .sf-menu > * { float: left; } 

    .sf-menu .sf-has-sub:hover > ul,
    .sf-menu .sf-has-sub.sfHover > ul { display: block; }
    .sf-menu .item { display: block; position: relative; text-overflow: ellipsis; }
    .sf-menu .sf-has-sub .sf-has-sub { top: 0; left: 100%; }

    .sf-menu > .sf-has-sub:last-child > .sf-sub { right:0; }
    .sf-menu > .sf-has-sub:last-child > .sf-sub .sf-sub { right:100%; left: auto;}
    .sf-hidden { display: none!important; }

    /* sf theme */

    .sf-menu .item {
        display: block;
        padding: 0.9375rem 0.625rem 0.625rem;
        padding: 0.625rem 0.625rem 0.625rem;
        border-bottom: 0.3125rem solid rgba(0,0,0,0);
        text-align: center;
        text-decoration: none;
        z-index: 100;
    }

    .sf-menu .item:active,
    .sf-menu .item:focus {
        color: rgb(255,255,255);
        background: rgb(174,19,32);
    }

    .sf-menu .sf-sub .active > .item ,
    .sf-menu .sf-sub .current > .item {
        border-left: .3125rem solid rgb(174,18,37);
    }

    .sf-menu > .sfHover > .item:hover {
        color: rgb(255,255,255);
        background: rgb(174,18,37);
    }

    .sf-menu > .current > .item,
    .sf-menu > .active > .item {
        border-color: rgb(174,18,37);
        background-color: rgb(231,231,231);
    }

    .sf-menu > li:hover > .item ,
    .sf-menu > .sfHover > .item {
        color: rgb(51,51,51);
        background: rgb(231,231,231);
        border-color: rgb(174,18,37);
    }

    .sf-sub {
        background: rgb(231,231,231);
        box-shadow: 0 0 1.25rem rgba(0,0,0,0.25);
    }
    .sf-sub li + li { border-top: 1px dashed rgba(0,0,0,0.25);}
    .sf-sub .sf-sub {
        border-left: 1px solid rgba(0,0,0,0.25);
    }
    .sf-menu > .sf-has-sub:last-child > .sf-sub .sf-sub {
        border-left: none;
        border-right: 1px solid rgba(0,0,0,0.25);
    }

    .sf-sub .item {
        color: rgb(51,51,51);
        background-color: rgb(231,231,231);
        margin: 0;
        padding: 0.625rem 0.625rem;
        border: none;
        text-align: left;
        white-space: nowrap;
    }

    .sf-menu .sf-has-megasub {
        position: static;
    }

    .sf-megasub {
        left: 0;
        right:0;
    }

    .sf-megasub .wrap-inner {
        padding-top: 1.875rem;
    }

    .subnav > li:first-child {
        border-top: 1px dashed rgb(218,218,218);
    }

    .subnav {
        margin-bottom: 2.5rem;
    }

    .page-sidebar-inner { 
        margin: -1.25rem 0;
        padding: 1.25rem 0;
        padding-left: 2.5rem;
        position: relative;  
        overflow: hidden;
    }

    .subnav::before {
        content: "";
        position: absolute;
        top: 2.5rem;
        bottom:  2.5rem;
        left: -2.5rem;
        width: 2.5rem;
        box-shadow: 0 0 2.5rem rgba(0,0,0,.125);
        display: block;
    }

}

/* desktop fullsize */
@media (min-width: 82.5em) {

    .sf-menu .item {
        font-size: 1.125rem;
    }

    .sf-menu > li > .item {
        font-size: 1.25rem;
    }

}

/* desktop fullsize */
@media (min-width: 92.5em) {

    .sf-menu .item {
        padding-left: 0.9375rem;
        padding-right: 0.9375rem;
    }

}
